export async function updateArticle(content, mode = 'write') {
  try {
    let prompt;
    if (mode === 'write') {
      prompt = `Write the following section of the article: ${content}`;
    } else {
      prompt = `Edit and improve the following text: ${content}`;
    }

    const response = await sendPromptToOpenRouter(
      'openai/gpt-4',
      prompt,
      mode === 'write' ? 'Write clear, engaging content' : 'Improve and refine the text'
    );

    return response.choices[0].message.content;
  } catch (error) {
    console.error('Error updating article:', error);
    throw error;
  }
}

